Date: Fri, 21 Feb 1997 09:41:41 +0100 (MET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: New Zorro boards
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de


Here is an update of the Zoro expansion board database:

  - 41 new Zorro boards
  - 10 new manufacturers
  - updated Configure.help

--- ./Documentation/Configure.help.orig	Wed Feb 19 20:45:55 1997
+++ ./Documentation/Configure.help	Thu Feb 20 21:59:25 1997
@@ -4619,9 +4619,13 @@
 Amiga AutoConfig Identification
 CONFIG_ZORRO
   This enables support for automatic identification of Amiga expansion
-  cards that obey the AutoConfig(tm) specification.  You should say Y
-  to this question unless you have no expansion cards and no intention
-  of getting any.
+  cards that obey the AutoConfig(tm) specification.
+  Say Y if you want your expansion cards to be identified on bootup;
+  it will enlarge your kernel by about 10KB. The identification
+  information is also available through /proc/zorro (say Y to
+  "/proc filesystem support"!).
+  Note that even if you say N here, you can still use your expansion
+  cards. If in doubt, say Y.
 
 Amiga OCS chipset support
 CONFIG_AMIFB_OCS
--- ./arch/m68k/amiga/zorro.c.orig	Sun Feb  9 19:56:29 1997
+++ ./arch/m68k/amiga/zorro.c	Thu Feb 20 21:40:20 1997
@@ -82,6 +82,10 @@
    PROD("Stormbringer", STORMBRINGER)
 END
 
+BEGIN_PROD(3_STATE)
+   PROD("Megamix 2000 RAM", MEGAMIX_2000)
+END
+
 BEGIN_PROD(COMMODORE2)
    PROD("A2088 XT Bridgeboard", A2088)
    PROD("A2286 AT Bridgeboard", A2286)
@@ -141,8 +145,12 @@
    PROD("StarDrive", STARDRIVE)
    PROD("8-Up (Rev A)", 8_UP_A)
    PROD("8-Up (Rev Z)", 8_UP_Z)
+   PROD("Delta Card RAM", DELTA_RAM)
+   PROD("8-Star RAM", 8_STAR_RAM)
+   PROD("8-Star", 8_STAR)
    PROD("VXL RAM", VXL_RAM)
    PROD("VXL-30 Turbo Board", VXL_30)
+   PROD("Delta Card", DELTA)
    PROD("MBX 1200", MBX_1200)
    PROD("Hardframe 2000", HARDFRAME_2000)
    PROD("MBX 1200", MBX_1200_2)
@@ -180,8 +188,8 @@
    PROD("SupraDrive 4x4 SCSI Controller", SUPRADRIVE_4x4)
    PROD("2000 DMA HD", SUPRA_2000)
    PROD("500 HD/RAM", SUPRA_500)
+   PROD("500XP/2000 RAM", SUPRA_500XP)
    PROD("500RX/2000 RAM", SUPRA_500RX)
-   PROD("500RX/2000 RAM", SUPRA_500RX_2)
    PROD("2400zi Modem", SUPRA_2400ZI)
    PROD("Wordsync SCSI Controller", WORDSYNC)
    PROD("Wordsync II SCSI Controller", WORDSYNC_II)
@@ -193,6 +201,10 @@
    PROD("12 Gauge SCSI Controller", 12GAUGE)
 END
 
+BEGIN_PROD(MTEC2)
+   PROD("AT500 RAM", AT500_2)
+END
+
 BEGIN_PROD(GVP3)
    PROD("Impact SCSI/Memory", IMPACT)
 END
@@ -203,7 +215,11 @@
 
 BEGIN_PROD(POWER_COMPUTING)
    PROD("DKB 3128 RAM", DKB_3128)
+   PROD("Rapid Fire SCSI Controller", RAPID_FIRE)
+   PROD("DKB 1202 RAM", DKB_1202)
    PROD("DKB Cobra / Viper II Turbo Board", VIPER_II_COBRA)
+   PROD("WildFire 060 Turbo Board", WILDFIRE_060)
+   PROD("WildFire 060 Turbo Board", WILDFIRE_060_2)
 END
 
 BEGIN_PROD(GVP)
@@ -257,6 +273,9 @@
    PROD("PP&S A500 68040 Turbo Board", PPS_A500_040)
 END
 
+BEGIN_PROD(XEBEC)
+END
+
 BEGIN_PROD(SPIRIT)
    PROD("HDA 506 Harddisk", HDA_506)
    PROD("OctaByte RAM", OCTABYTE_RAM)
@@ -268,6 +287,7 @@
 
 BEGIN_PROD(BSC3)
    PROD("ALF 2 SCSI Controller", ALF_2_SCSI)
+   PROD("ALF 2 SCSI Controller", ALF_2_SCSI_2)
    PROD("ALF 3 SCSI Controller", ALF_3_SCSI_2)
 END
 
@@ -291,9 +311,17 @@
 BEGIN_PROD(KUPKE2)
    PROD("Golem SCSI-II Controller", KUPKE_SCSI_II)
    PROD("Golem Box", GOLEM_BOX)
+   PROD("030/882 Turbo Board", KUPKE_TURBO)
    PROD("Golem SCSI/AT Controller", KUPKE_SCSI_AT)
 END
 
+BEGIN_PROD(GVP4)
+   PROD("A2000-RAM8/2", A2000_RAM8)
+END
+
+BEGIN_PROD(INTERWORKS_NET)
+END
+
 BEGIN_PROD(HARDITAL)
    PROD("TQM 68030+68882 Turbo Board", TQM)
 END
@@ -301,10 +329,14 @@
 BEGIN_PROD(BSC2)
    PROD("Oktagon 2008 SCSI Controller", OKTAGON_SCSI)
    PROD("Tandem AT-2008/508 IDE Controller", TANDEM)
+   PROD("Alpha RAM 1200", ALPHA_RAM_1200)
    PROD("Oktagon 2008 RAM", OKTAGON_RAM)
    PROD("Alfa Data MultiFace I", MULTIFACE_I)
    PROD("Alfa Data MultiFace II", MULTIFACE_II)
    PROD("Alfa Data MultiFace III", MULTIFACE_III)
+   PROD("Framebuffer", BSC_FRAEMBUFFER)
+   PROD("Graffiti Graphics Board (RAM)", GRAFFITI_RAM)
+   PROD("Graffiti Graphics Board (REG)", GRAFFITI_REG)
    PROD("ISDN MasterCard", ISDN_MASTERCARD)
    PROD("ISDN MasterCard II", ISDN_MASTERCARD_2)
 END
@@ -319,12 +351,15 @@
 END
 
 BEGIN_PROD(IVS)
-   PROD("GrandSlam RAM", GRANDSLAM)
+   PROD("GrandSlam PIC 2 RAM", GRANDSLAM_PIC_2)
+   PROD("GrandSlam PIC 1 RAM", GRANDSLAM_PIC_1)
    PROD("OverDrive HD", IVS_OVERDRIVE)
    PROD("Trumpcard Classic SCSI Controller", TRUMPCARD_CLASSIC)
    PROD("Trumpcard Pro SCSI Controller", TRUMPCARD_PRO)
    PROD("Meta-4 RAM", META_4)
+   PROD("Wavetools Sound Board", WAVETOOLS)
    PROD("Vector SCSI Controller", VECTOR)
+   PROD("Vector SCSI Controller", VECTOR_2)
 END
 
 BEGIN_PROD(VECTOR)
@@ -336,6 +371,7 @@
    PROD("Visiona Graphics Board (REG)", VISIONA_REG)
    PROD("Merlin Graphics Board (RAM)", MERLIN_RAM)
    PROD("Merlin Graphics Board (REG)", MERLIN_REG)
+   PROD("Merlin Graphics Board (REG)", MERLIN_REG_2)
 END
 
 BEGIN_PROD(HYDRA_SYSTEMS)
@@ -388,7 +424,11 @@
    PROD("Domino Graphics Board (REG)", DOMINO_REG)
    PROD("Picasso II Graphics Board (RAM)", PICASSO_II_RAM)
    PROD("Picasso II Graphics Board (REG)", PICASSO_II_REG)
-   PROD("Picasso II Graphics Board (REG)", PICASSO_II_REG_2)
+   PROD("Picasso II/II+ Graphics Board (Segmented Mode)", PICASSO_II_SEGM)
+   PROD("Picassio IV Graphics Board", PICASSO_IV)
+   PROD("Picassio IV Graphics Board", PICASSO_IV_2)
+   PROD("Picassio IV Graphics Board", PICASSO_IV_3)
+   PROD("Picassio IV Graphics Board", PICASSO_IV_4)
    PROD("Ariadne Ethernet Card", ARIADNE)
 END
 
@@ -402,8 +442,18 @@
    PROD("CD-RAM Memory", AMITRIX_CD_RAM)
 END
 
+BEGIN_PROD(ARMAX)
+   PROD("OmniBus Graphics Board", OMNIBUS)
+END
+
+BEGIN_PROD(NEWTEK)
+   PROD("VideoToaster", VIDEOTOASTER)
+END
+
 BEGIN_PROD(MTEC)
+   PROD("AT500 IDE Controller", AT500)
    PROD("68030 Turbo Board", MTEC_68030)
+   PROD("68020i Turbo Board", MTEC_68020I)
    PROD("A1200 T68030/42 RTC Turbo Board", MTEC_T1230)
    PROD("8MB RAM", MTEC_RAM)
 END
@@ -439,6 +489,11 @@
    PROD("RCA 120 RAM", RCA_120)
 END
 
+BEGIN_PROD(MEGA_MICRO)
+   PROD("SCRAM 500 SCSI Controller", SCRAM_500_SCSI)
+   PROD("SCRAM 500 RAM", SCRAM_500_RAM)
+END
+
 BEGIN_PROD(IMTRONICS2)
    PROD("Hurricane 2800 68030", HURRICANE_2800_3)
    PROD("Hurricane 2800 68030", HURRICANE_2800_4)
@@ -448,6 +503,15 @@
    PROD("Golem HD 3000", GOLEM_3000)
 END
 
+BEGIN_PROD(ITH)
+   PROD("ISDN-Master II", ISDN_MASTER_II)
+END
+
+BEGIN_PROD(VMC)
+   PROD("ISDN Blaster Z2", ISDN_BLASTER_Z2)
+   PROD("HyperCom 4", HYPERCOM_4)
+END
+
 BEGIN_PROD(INFORMATION)
    PROD("ISDN Engine I", ISDN_ENGINE_I)
 END
@@ -479,6 +543,7 @@
    PROD("Blizzard 2060 SCSI Controller", BLIZZARD_2060SCSI)
    PROD("CyberStorm Mk II", CYBERSTORM_II)
    PROD("CyberVision64 Graphics Board", CYBERVISION)
+   PROD("CyberVision64-3D Graphics Board Prototype)", CYBERVISION3D_PRT)
    PROD("CyberVision64-3D Graphics Board", CYBERVISION3D)
 END
 
@@ -488,6 +553,7 @@
 
 BEGIN_PROD(APOLLO2)
    PROD("A620 68020 Accelerator", A620)
+   PROD("A620 68020 Accelerator", A620_2)
 END
 
 BEGIN_PROD(APOLLO)
@@ -495,6 +561,10 @@
    PROD("Turbo Board", APOLLO_TURBO)
 END
 
+BEGIN_PROD(PETSOFF)
+   PROD("Delfina DSP", DELFINA)
+END
+
 BEGIN_PROD(UWE_GERLACH)
    PROD("RAM/ROM", UG_RAM_ROM)
 END
@@ -508,6 +578,7 @@
    PROD("Toccata Sound Board", TOCCATA)
    PROD("Retina Z3 Graphics Board", RETINA_Z3)
    PROD("VLab Motion", VLAB_MOTION)
+   PROD("Altais Graphics Board", ALTAIS)
    PROD("Falcon '040 Turbo Board", FALCON_040)
 END
 
@@ -515,11 +586,12 @@
 END
 
 BEGIN_PROD(SKI)
+   PROD("MAST Fireball SCSI Controller", MAST_FIREBALL)
    PROD("SCSI / Dual Serial", SKI_SCSI_SERIAL)
 END
 
 BEGIN_PROD(CAMERON)
-   PROD("Scanner Interface", CAMERON_SCANNER)
+   PROD("Personal A4", PERSONAL_A4)
 END
 
 BEGIN_PROD(REIS_WARE)
@@ -531,6 +603,7 @@
    MANUF("Pacific Peripherals", PACIFIC)
    MANUF("Kupke", KUPKE)
    MANUF("Memphis", MEMPHIS)
+   MANUF("3-State", 3_STATE)
    MANUF("Commodore", COMMODORE2)
    MANUF("Commodore", COMMODORE)
    MANUF("Commodore", COMMODORE3)
@@ -547,7 +620,8 @@
    MANUF("University of Lowell", UNIV_OF_LOWELL)
    MANUF("Ameristar", AMERISTAR)
    MANUF("Supra", SUPRA)
-   MANUF("CSA", CSA)
+   MANUF("Computer Systems Ass.", CSA)
+   MANUF("M-Tech", MTEC2)
    MANUF("Great Valley Products", GVP3)
    MANUF("ByteBox", BYTEBOX)
    MANUF("Power Computing", POWER_COMPUTING)
@@ -555,6 +629,7 @@
    MANUF("Synergy", SYNERGY)
    MANUF("Xetec", XETEC)
    MANUF("Progressive Peripherals", PPI)
+   MANUF("Xebec", XEBEC)
    MANUF("Spirit", SPIRIT)
    MANUF("BSC", BSC)
    MANUF("BSC", BSC3)
@@ -563,6 +638,8 @@
    MANUF("Checkpoint Technologies", CHECKPOINT)
    MANUF("ICD", ICD)
    MANUF("Kupke", KUPKE2)
+   MANUF("Great Valley Products", GVP4)
+   MANUF("Interworks Network", INTERWORKS_NET)
    MANUF("Hardital Synthesis", HARDITAL)
    MANUF("BSC", BSC2)
    MANUF("Advanced Systems & Software", ADV_SYS_SOFT)
@@ -583,15 +660,20 @@
    MANUF("Village Tronic", VILLAGE_TRONIC)
    MANUF("Utilities Unlimited", UTILITIES_ULTD)
    MANUF("Amitrix", AMITRIX)
-   MANUF("MTEC", MTEC)
+   MANUF("ArMax", ARMAX)
+   MANUF("NewTek", NEWTEK)
+   MANUF("M-Tech", MTEC)
    MANUF("Great Valley Products", GVP2)
    MANUF("Helfrich", HELFRICH2)
    MANUF("MacroSystems", MACROSYSTEMS)
    MANUF("ElBox Computer", ELBOX)
    MANUF("Harms Professional", HARMS_PROF)
    MANUF("Micronik", MICRONIK)
+   MANUF("MegaMicro", MEGA_MICRO)
    MANUF("Imtronics", IMTRONICS2)
    MANUF("Kupke", KUPKE3)
+   MANUF("ITH", ITH)
+   MANUF("VMC", VMC)
    MANUF("Information", INFORMATION)
    MANUF("Vortex", VORTEX)
    MANUF("DataFlyer", DATAFLYER)
@@ -600,6 +682,7 @@
    MANUF("DPS", DPS)
    MANUF("Apollo", APOLLO2)
    MANUF("Apollo", APOLLO)
+   MANUF("Petsoff LP", PETSOFF)
    MANUF("Uwe Gerlach", UWE_GERLACH)
    MANUF("MacroSystems", MACROSYSTEMS2)
    MANUF("Combitec", COMBITEC)
--- ./include/asm-m68k/zorro.h.orig	Sun Feb  9 19:55:49 1997
+++ ./include/asm-m68k/zorro.h	Thu Feb 20 21:18:30 1997
@@ -31,6 +31,9 @@
 #define MANUF_MEMPHIS          (0x0100)	/* Memphis */
 #define PROD_STORMBRINGER      (0x00)	/* Stormbringer */
 
+#define MANUF_3_STATE          (0x0200)	/* 3-State */
+#define PROD_MEGAMIX_2000      (0x02)	/* Megamix 2000 RAM */
+
 #define MANUF_COMMODORE2       (0x0201)	/* Commodore Braunschweig */
 #define PROD_A2088             (0x01)	/* CBM A2088 XT Bridgeboard */
 #define PROD_A2286             (0x02)	/* CBM A2286 AT Bridgeboard */
@@ -82,8 +85,12 @@
 #define PROD_STARDRIVE         (0x02)	/* StarDrive */
 #define PROD_8_UP_A            (0x03)	/* 8-Up (Rev A) */
 #define PROD_8_UP_Z            (0x04)	/* 8-Up (Rev Z) */
+#define PROD_DELTA_RAM         (0x20)	/* Delta Card RAM */
+#define PROD_8_STAR_RAM        (0x40)	/* 8-Star RAM */
+#define PROD_8_STAR            (0x41)	/* 8-Star */
 #define PROD_VXL_RAM           (0x44)	/* VXL RAM */
 #define PROD_VXL_30            (0x45)	/* VXL-30 Turbo Board */
+#define PROD_DELTA             (0x60)	/* Delta Card */
 #define PROD_MBX_1200          (0x81)	/* MBX 1200 */
 #define PROD_HARDFRAME_2000    (0x9E)	/* Hardframe 2000 */
 #define PROD_MBX_1200_2        (0xC1)	/* MBX 1200 */
@@ -114,17 +121,20 @@
 #define PROD_SUPRADRIVE_4x4    (0x01)	/* SupraDrive 4x4 SCSI Controller */
 #define PROD_SUPRA_2000        (0x03)	/* 2000 DMA HD */
 #define PROD_SUPRA_500         (0x05)	/* 500 HD/RAM */
-#define PROD_SUPRA_500RX       (0x09)	/* 500RX/2000 RAM */
-#define PROD_SUPRA_500RX_2     (0x0A)	/* 500RX/2000 RAM */
+#define PROD_SUPRA_500XP       (0x09)	/* 500XP/2000 RAM */
+#define PROD_SUPRA_500RX       (0x0A)	/* 500RX/2000 RAM */
 #define PROD_SUPRA_2400ZI      (0x0B)	/* 2400zi Modem */
 #define PROD_WORDSYNC          (0x0C)	/* Supra Wordsync SCSI Controller */
 #define PROD_WORDSYNC_II       (0x0D)	/* Supra Wordsync II SCSI Controller */
 #define PROD_SUPRA_2400ZIPLUS  (0x10)	/* 2400zi+ Modem */
 
-#define MANUF_CSA              (0x0422)	/* CSA */
+#define MANUF_CSA              (0x0422)	/* Computer Systems Ass. */
 #define PROD_MAGNUM            (0x11)	/* Magnum 40 SCSI Controller */
 #define PROD_12GAUGE           (0x15)	/* 12 Gauge SCSI Controller */
 
+#define MANUF_MTEC2            (0x0502)	/* M-Tech */
+#define PROD_AT500_2           (0x03)	/* AT500 RAM */
+
 #define MANUF_GVP3             (0x06E1)	/* Great Valley Products */
 #define PROD_IMPACT            (0x08)	/* Impact SCSI/Memory */
 
@@ -135,7 +145,11 @@
 
 #define MANUF_POWER_COMPUTING  (0x07DC)	/* Power Computing (DKB) */
 #define PROD_DKB_3128          (0x0E)	/* DKB 3128 RAM */
+#define PROD_RAPID_FIRE        (0x0F)	/* Rapid Fire SCSI Controller */
+#define PROD_DKB_1202          (0x10)	/* DKB 1202 RAM */
 #define PROD_VIPER_II_COBRA    (0x12)	/* Viper II Turbo Board (DKB Cobra) */
+#define PROD_WILDFIRE_060      (0x17)	/* WildFire 060 Turbo Board */
+#define PROD_WILDFIRE_060_2    (0xFF)	/* WildFire 060 Turbo Board */
 
 #define MANUF_GVP              (0x07E1)	/* Great Valley Products */
 #define PROD_IMPACT_I_4K       (0x01)	/* Impact Series-I SCSI 4K */
@@ -181,6 +195,7 @@
 
 #define MANUF_BSC3             (0x0801)	/* BSC */
 #define PROD_ALF_2_SCSI        (0x01)	/* ALF 2 SCSI Controller */
+#define PROD_ALF_2_SCSI_2      (0x02)	/* ALF 2 SCSI Controller */
 #define PROD_ALF_3_SCSI_2      (0x03)	/* ALF 3 SCSI Controller */
 
 #define MANUF_C_LTD            (0x0802)	/* C Ltd. */
@@ -199,18 +214,28 @@
 #define MANUF_KUPKE2           (0x0819)	/* Kupke */
 #define PROD_KUPKE_SCSI_II     (0x02)	/* Golem SCSI-II Controller */
 #define PROD_GOLEM_BOX         (0x03)	/* Golem Box */
+#define PROD_KUPKE_TURBO       (0x04)	/* 030/882 Turbo Board */
 #define PROD_KUPKE_SCSI_AT     (0x05)	/* SCSI/AT Controller */
 
+#define MANUF_GVP4             (0x081D)	/* Great Valley Products */
+#define PROD_A2000_RAM8        (0x09)	/* A2000-RAM8/2 */
+
+#define MANUF_INTERWORKS_NET   (0x081E)	/* Interworks Network */
+
 #define MANUF_HARDITAL         (0x0820)	/* Hardital Synthesis */
 #define PROD_TQM               (0x14)	/* TQM 68030+68882 Turbo Board */
 
 #define MANUF_BSC2             (0x082C)	/* BSC */
 #define PROD_OKTAGON_SCSI      (0x05)	/* BSC Oktagon 2008 SCSI Controller */
 #define PROD_TANDEM            (0x06)	/* BSC Tandem AT-2008/508 IDE */
+#define PROD_ALPHA_RAM_1200    (0x07)	/* Alpha RAM 1200 */
 #define PROD_OKTAGON_RAM       (0x08)	/* BSC Oktagon 2008 RAM */
 #define PROD_MULTIFACE_I       (0x10)	/* Alfa Data MultiFace I */
 #define PROD_MULTIFACE_II      (0x11)	/* Alfa Data MultiFace II */
 #define PROD_MULTIFACE_III     (0x12)	/* Alfa Data MultiFace III */
+#define PROD_BSC_FRAEMBUFFER   (0x20)	/* Framebuffer */
+#define PROD_GRAFFITI_RAM      (0x21)	/* Graffiti Graphics Board */
+#define PROD_GRAFFITI_REG      (0x22)
 #define PROD_ISDN_MASTERCARD   (0x40)	/* BSC ISDN MasterCard */
 #define PROD_ISDN_MASTERCARD_2 (0x41)	/* BSC ISDN MasterCard II */
 
@@ -222,12 +247,15 @@
 #define PROD_FIRECRACKER_24    (0x00)	/* FireCracker 24 */
 
 #define MANUF_IVS              (0x0840)	/* IVS */
-#define PROD_GRANDSLAM         (0x04)	/* GrandSlam RAM */
+#define PROD_GRANDSLAM_PIC_2   (0x02)	/* GrandSlam PIC 2 RAM */
+#define PROD_GRANDSLAM_PIC_1   (0x04)	/* GrandSlam PIC 1 RAM */
 #define PROD_IVS_OVERDRIVE     (0x10)	/* OverDrive HD */
 #define PROD_TRUMPCARD_CLASSIC (0x30)	/* Trumpcard Classic SCSI Controller */
 #define PROD_TRUMPCARD_PRO     (0x34)	/* Trumpcard Pro SCSI Controller */
 #define PROD_META_4            (0x40)	/* Meta-4 RAM */
+#define PROD_WAVETOOLS         (0xBF)	/* Wavetools Sound Board */
 #define PROD_VECTOR            (0xF3)	/* Vector SCSI Controller */
+#define PROD_VECTOR_2          (0xF4)	/* Vector SCSI Controller */
 
 #define MANUF_VECTOR           (0x0841)	/* Vector */
 #define PROD_CONNECTION        (0xE3)	/* Connection Serial IO */
@@ -237,12 +265,15 @@
 #define PROD_VISIONA_REG       (0x02)
 #define PROD_MERLIN_RAM        (0x03)	/* Merlin Graphics Board */
 #define PROD_MERLIN_REG        (0x04)
+#define PROD_MERLIN_REG_2      (0xC9)
 
 #define MANUF_HYDRA_SYSTEMS    (0x0849)	/* Hydra Systems */
 #define PROD_AMIGANET          (0x01)	/* Amiganet Board */
 
 #define MANUF_SUNRIZE          (0x084F)	/* Sunrize Industries */
-#define PROD_AD516             (0x02)	/* AD516 Audio */
+#define PROD_AD1012            (0x01)	/* AD1012 Sound Board */
+#define PROD_AD516             (0x02)	/* AD516 Sound Board */
+#define PROD_DD512             (0x03)	/* DD512 Sound Board */
 
 #define MANUF_TRICERATOPS      (0x0850)	/* Triceratops */
 #define PROD_TRICERATOPS       (0x01)	/* Triceratops Multi I/O Board */
@@ -274,11 +305,15 @@
 #define PROD_DELACOMP_RAM_2000 (0x01)	/* RAM Expansion 2000 */
 
 #define MANUF_VILLAGE_TRONIC   (0x0877)	/* Village Tronic */
-#define PROD_DOMINO_RAM        (0x01)	/* Domino Graphics Board (RAM) */
-#define PROD_DOMINO_REG        (0x02)	/* Domino Graphics Board (REG) */
-#define PROD_PICASSO_II_RAM    (0x0B)	/* Picasso II Graphics Board */
+#define PROD_DOMINO_RAM        (0x01)	/* Domino Graphics Board */
+#define PROD_DOMINO_REG        (0x02)
+#define PROD_PICASSO_II_RAM    (0x0B)	/* Picasso II/II+ Graphics Board */
 #define PROD_PICASSO_II_REG    (0x0C)
-#define PROD_PICASSO_II_REG_2  (0x0D)
+#define PROD_PICASSO_II_SEGM   (0x0D)	/* Picasso II/II+ (Segmented Mode) */
+#define PROD_PICASSO_IV        (0x15)	/* Picassio IV Graphics Board */
+#define PROD_PICASSO_IV_2      (0x16)
+#define PROD_PICASSO_IV_3      (0x17)
+#define PROD_PICASSO_IV_4      (0x18)
 #define PROD_ARIADNE           (0xC9)	/* Ariadne Ethernet */
 
 #define MANUF_UTILITIES_ULTD   (0x087B)	/* Utilities Unlimited */
@@ -289,8 +324,16 @@
 #define PROD_AMITRIX_MULTI_IO  (0x01)	/* Multi-IO */
 #define PROD_AMITRIX_CD_RAM    (0x02)	/* CD-RAM Memory */
 
-#define MANUF_MTEC             (0x0890)	/* MTEC Germany */
+#define MANUF_ARMAX            (0x0885)	/* ArMax */
+#define PROD_OMNIBUS           (0x00)	/* OmniBus Graphics Board */
+
+#define MANUF_NEWTEK           (0x088F)	/* NewTek */
+#define PROD_VIDEOTOASTER      (0x00)	/* VideoToaster */
+
+#define MANUF_MTEC             (0x0890)	/* M-Tech Germany */
+#define PROD_AT500             (0x01)	/* AT500 IDE Controller */
 #define PROD_MTEC_68030        (0x03)	/* 68030 Turbo Board */
+#define PROD_MTEC_68020I       (0x06)	/* 68020i Turbo Board */
 #define PROD_MTEC_T1230        (0x20)	/* A1200 T68030/42 RTC Turbo Board */
 #define PROD_MTEC_RAM          (0x22)	/* MTEC 8MB RAM */
 
@@ -319,6 +362,10 @@
 #define MANUF_MICRONIK         (0x0A50)	/* Micronik */
 #define PROD_RCA_120           (0x0A)	/* RCA 120 RAM */
 
+#define MANUF_MEGA_MICRO       (0x1000)	/* MegaMicro */
+#define PROD_SCRAM_500_SCSI    (0x03)	/* SCRAM 500 SCSI Controller */
+#define PROD_SCRAM_500_RAM     (0x04)	/* SCRAM 500 RAM */
+
 #define MANUF_IMTRONICS2       (0x1028)	/* Imtronics */
 #define PROD_HURRICANE_2800_3  (0x39)	/* Hurricane 2800 68030 */
 #define PROD_HURRICANE_2800_4  (0x57)	/* Hurricane 2800 68030 */
@@ -326,6 +373,13 @@
 #define MANUF_KUPKE3           (0x1248)	/* Kupke */
 #define PROD_GOLEM_3000        (0x01)	/* Golem HD 3000 */
 
+#define MANUF_ITH              (0x1388)	/* ITH */
+#define PROD_ISDN_MASTER_II    (0x01)	/* ISDN-Master II */
+
+#define MANUF_VMC              (0x1389)	/* VMC */
+#define PROD_ISDN_BLASTER_Z2   (0x01)	/* ISDN Blaster Z2 */
+#define PROD_HYPERCOM_4        (0x02)	/* HyperCom 4 */
+
 #define MANUF_INFORMATION      (0x157C)	/* Information */
 #define PROD_ISDN_ENGINE_I     (0x64)	/* ISDN Engine I */
 
@@ -353,6 +407,7 @@
 #define PROD_BLIZZARD_2060SCSI (0x18)	/* Blizzard 2060 SCSI Controller */
 #define PROD_CYBERSTORM_II     (0x19)	/* CyberStorm Mk II */
 #define PROD_CYBERVISION       (0x22)	/* CyberVision64 Graphics Board */
+#define PROD_CYBERVISION3D_PRT (0x32)	/* CyberVision64-3D Prototype */
 #define PROD_CYBERVISION3D     (0x43)	/* CyberVision64-3D Graphics Board */
 
 #define MANUF_DPS              (0x2169)	/* DPS */
@@ -360,11 +415,15 @@
 
 #define MANUF_APOLLO2          (0x2200)	/* Apollo */
 #define PROD_A620              (0x00)	/* A620 68020 Accelerator */
+#define PROD_A620_2            (0x01)	/* A620 68020 Accelerator */
 
 #define MANUF_APOLLO           (0x2222)	/* Apollo */
 #define PROD_AT_APOLLO         (0x22)	/* AT-Apollo */
 #define PROD_APOLLO_TURBO      (0x23)	/* Apollo Turbo Board */
 
+#define MANUF_PETSOFF          (0x38A5)	/* Petsoff LP */
+#define PROD_DELFINA           (0x00)	/* Delfina DSP */
+
 #define MANUF_UWE_GERLACH      (0x3FF7)	/* Uwe Gerlach */
 #define PROD_UG_RAM_ROM        (0xd4)	/* RAM/ROM */
 
@@ -377,15 +436,17 @@
 #define PROD_TOCCATA           (0x0C)	/* Toccata Sound Board */
 #define PROD_RETINA_Z3         (0x10)	/* Retina Z3 Graphics Board */
 #define PROD_VLAB_MOTION       (0x12)	/* VLab Motion */
+#define PROD_ALTAIS            (0x13)	/* Altais Graphics Board */
 #define PROD_FALCON_040        (0xFD)	/* Falcon '040 Turbo Board */
 
 #define MANUF_COMBITEC         (0x6766)	/* Combitec */
 
 #define MANUF_SKI              (0x8000)	/* SKI Peripherals */
+#define PROD_MAST_FIREBALL     (0x08)	/* M.A.S.T. Fireball SCSI Controller */
 #define PROD_SKI_SCSI_SERIAL   (0x80)	/* SCSI / Dual Serial */
 
 #define MANUF_CAMERON          (0xAA01)	/* Cameron */
-#define PROD_CAMERON_SCANNER   (0x10)	/* Scanner Interface */
+#define PROD_PERSONAL_A4       (0x10)	/* Personal A4 */
 
 #define MANUF_REIS_WARE        (0xAA11)	/* Reis-Ware */
 #define PROD_RW_HANDYSCANNER   (0x11)	/* Handyscanner */

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

